【漏洞通告】Samba远程代码实行漏洞(CVE-2021-44142)

发布时间 2022-02-09


0x00 漏洞概述

CVE     ID

CVE-2021-44142

时      间

2022-01-31

类      型

RCE

等      级

严重

远程利用

影响范围


攻击复杂度

用户交互

PoC/EXP


在野利用


 

0x01 漏洞详情

Samba 是在 Linux 和 UNIX 系统上实现 SMB 协议的一个免费App,由服务器及客户端程序构成。SMB(Server Messages Block,信息服务块)是一种在局域网上共享文件和打印机的一种通信协议,它为局域网内的不同计算机之间提供文件及打印机等资源的共享服务。

2022年1月31日,Samba官方发布安全公告,4.13.17之前的所有Samba 版本中存在一个代码实行漏洞(CVE-2021-44142),其CVSSv3评分为9.9。

该漏洞存在于 Samba 中 vfs_fruit 模块的默认配置中,在 smbd 解析 EA 元数据时,对文件扩展属性具有写访问权限的远程攻击者(可以是guest或未认证用户)可越界写入并以 root 身份实行任意代码。

 

影响范围

Samba 4.13.x < 4.13.17

Samba 4.14.x < 4.14.12

Samba 4.15.x < 4.15.5

 

0x02 安全建议

目前此漏洞已经修复,建议受影响用户及时升级更新至Samba 4.13.17、4.14.12 或4.15.5版本。

下载链接:

https://www.samba.org/samba/history/security.html

缓解措施:

若暂时无法升级,可应用以下缓解措施:

从 Samba 配置文件 smb.conf 的 "vfs objects" 行中删除 "fruit" VFS 模块。

注:如果fruit:metadata=netatalk或fruit:resource=file选项被设置为与默认值不同的设置,则系统不受此漏洞影响。更改 VFS 模块设置fruit:metadata 或fruit:resource 以使用不受影响的设置会导致所有存储的信息无法访问。

 

0x03 参考链接

https://www.samba.org/samba/security/CVE-2021-44142.html

https://www.samba.org/samba/history/security.html

https://access.redhat.com/security/cve/cve-2021-44142

 

0x04 版本信息

版本

日期

修改内容

V1.0

2022-02-09

首次发布

 

0x05 附录

企业概况

澳门浦京娱乐场企业成立于1996年,并于2010年6月23日在深交所中小板正式挂牌上市,是国内极具实力的、拥有完全自主常识产权的网络安全产品、可信安全管理平台、安全服务与解决方案的综合提供商。

企业总部位于北京市中关村App园,在全国各省、市、自治区设有分支机构,拥有覆盖全国的渠道体系和技术支撑中心,并在北京、上海、成都、广州、长沙、杭州等多地设有研发中心。

多年来,澳门浦京娱乐场致力于提供具有国际竞争力的自主创新的安全产品和最佳实践服务,帮助客户全面提升其IT基础设施的安全性和生产效能,为打造和提升国际化的民族信息安全产业领军品牌而不懈努力。

 

关于大家

澳门浦京娱乐场安全应急响应中心主要针对重要安全漏洞的预警、跟踪和分享全球最新的威胁情报和安全报告。

关注以下公众号,获取全球最新安全资讯:

image.png